# Private objects (not accessible on import)
_d00 = {
    "source": {
        "authors": [
            "Mawuadem K. Amedeker"
        ],
        "title": "Simple Pendulum Experiment: Angular Approximation Revisited",
        "journal": "European Journal of Education and Pedagogy",
        "volume": "3",
        "number": "3",
        "pages": "33-35",
        "month": "May",
        "year": 2022,
        "url": "http://doi.org/10.24018/ejedu.2022.3.3.248"
    },
    "data": {
        "angle": {
            "values": [5, 10, 15, 20, 25],
            "unit": "degree"
        },
        "total_time_1": {
            "values": [37.98, 38.14, 38.58, 39.29, 40.05],
            "unit": "s",
            "number_of_cycles": 20
        },
        "total_time_2": {
            "values": [37.95, 38.26, 38.70, 39.15, 39.91],
            "unit": "s",
            "number_of_cycles": 20
        },
        "cord_length": {
            "value": 1,
            "unit": "m"
        },
        "bob": {
            "shape": "spherical",
            "note": "(Fig. 1.)"
        }
    }
}

_d01 = {
    "source": {
        "authors": [
            "Robert A. Nelson", "M. G. Olsson"
        ],
        "title": "The pendulum—Rich physics from a simple system",
        "journal": "American Journal of Physics",
        "volume": "54",
        "number": "2",
        "pages": "112-121",
        "month": "February",
        "year": 1986,
        "url": "https://doi.org/10.1119/1.14703"
    },
    "data": {
       "total_time": {
            "values": [347.84, 347.87, 347.86, 347.91, 347.91, 347.94, 347.84, 347.81, 347.84, 347.98],
            "unit": "s",
            "number_of_cycles": 100
        },
        "angle": {
            "value": 3.0,
            "unit": "degree",
            "uncertainty": 0.3
        },
        "cord_length": {
            "value": 3.0044,
            "unit": "m",
            "uncertainty": 0.0003
        },
        "ball_diameter": {
            "value": 6.10,
            "unit": "cm",
            "uncertainty": 0.01
        },
        "ball_mass": {
            "value": 856.7,
            "unit": "g",
            "uncertainty": 0.1
        },
        "bob": {
            "shape": "spherical",
            "note": "The pendulum ball"
        }
    }
}

_d02 = {
    "source": {
        "authors": [
            "Masringgit Marwiyah Nst"
        ],
        "title": "Calculation of Gravitational Acceleration Using the Method of Objects Oscillating at the End of a Spring and Swinging a Pendulum",
        "journal": "Asian Journal of Science Education",
        "volume": "6",
        "number": "2",
        "pages": "95-101",
        "month": "Oktober",
        "year": 2024,
        "url": "http://doi.org/10.24815/ajse.v6i2.40578"
    },
    "data": {
        "total_time_1": {
            "values": [8.62, 8.91, 8.87, 8.54, 8.64, 8.95, 8.45, 8.76, 8.75, 8.69],
            "unit": "s",
            "number_of_cycles": 10
        },
        "total_time_2": {
            "values": [11.63, 11.25, 11.33, 11.27, 11.10, 11.60, 11.13, 11.08, 11.02, 11.20],
            "unit": "s",
            "number_of_cycles": 10
        },
        "cord_length_1": {
            "value": 0.2,
            "unit": "m"
        },
        "cord_length_2": {
            "value": 0.3,
            "unit": "m"
        },
        "angle": {
            "value": 10,
            "unit": "degree",
            "note": "max value"
        },
        "bob": {
            "shape": "spherical",
            "note": "the pendulum ball"
        }
    }
}

_d03 = {
    "source": {
        "authors": [
            "Rahmat Hidayat", "Akmam Akmam", "Eka Susanti", "Annisa Febriani"
        ],
        "title": "A more convenient method to predict gravitational acceleration (g) using smartphone's proximity sensor in a simple pendulum experiment",
        "journal": "Physics Education",
        "volume": "58",
        "number": "4",
        "pages": "045005",
        "month": "July",
        "year": 2023,
        "url": "http://doi.org/10.1088/1361-6552/acd533"
    },
    "data": {
        "period": {
            "values": [2.27, 2.33, 2.44, 2.50, 2.58, 2.64, 2.72],
            "unit": "s"
        },
        "cord_length": {
            "values": [1.27, 1.33, 1.47, 1.54, 1.65, 1.72, 1.83],
            "unit": "m"
        },
        "bob_diameter": {
            "value": 6,
            "unit": "cm"
        },
        "angle": {
            "value": 10,
            "unit": "degree",
            "note": "max value"
        },
        "bob": {
            "shape": "spherical",
            "note": "bob made of concrete-filled spherical plastic"
        }
    }
}

_d04 = {
    "source": {
        "authors": [
            "Unofre Pili", "Renante Violanda"
        ],
        "title": "Measurement of the gravitational acceleration using a simple pendulum apparatus, ultrasonic sensor, and Arduino",
        "journal": "Physics Education",
        "volume": "54",
        "number": "4",
        "pages": "043009",
        "month": "July",
        "year": 2019,
        "url": "http://doi.org/10.1088/1361-6552/ab2011"
    },
    "data": {
        "period": {
            "values": [1.67, 1.78, 1.87, 1.95, 2.02, 2.10, 2.17],
            "unit": "s"
        },
        "cord_length": {
            "values": [0.70, 0.79, 0.87, 0.95, 1.02, 1.10, 1.17],
            "unit": "m"
        },
        "sound_reflector_diameter": {
            "value": 3.0,
            "unit": "cm",
            "note": "about twice bob diameter"
        },
        "bob": {
            "shape": "spherical",
            "note": "(Figure 1)"
        }
    }
}

_d05 = {
    "source": {
        "authors": [
            "Yulkifli", "Zurian Afandi", "Yohandri"
        ],
        "title": "Development of Gravity Acceleration Measurement Using Simple Harmonic Motion Pendulum Method Based on Digital Technology and Photogate Sensor",
        "journal": "IOP Conference Series: Materials Science and Engineering",
        "volume": "335",
        "number": "1",
        "pages": "012064",
        "month": "Apr",
        "year": 2018,
        "url": "http://doi.org/10.1088/1757-899X/335/1/012064"
    },
    "data": {
        "cord_length": {
            "values": [30, 25, 20, 15, 10],
            "unit": "cm"
        },
        "total_time_manual": {
            "values": [11.01, 10.06, 9.059, 7.812, 6.280],
            "unit": "s",
            "number_of_cycles": 10
        },
        "total_time_counter": {
            "values": [10.92, 10.13, 9.150, 7.752, 6.310],
            "unit": "s",
            "number_of_cycles": 10
        },
        "total_time_oscilloscope": {
            "values": [10.90, 10.15, 9.021, 7.762, 6.301],
            "unit": "s",
            "number_of_cycles": 10
        },
        "bob": {
            "shape": "spherical",
            "note": "the swing ball"
        }
    }
}

# Expose only 'data' publicly
data = [_d00, _d01, _d02, _d03, _d04, _d05]

# Limit module exports
__all__ = ["data"]
